#!/bin/bash
#Scripts d'installation ACIAH sur linuxMint version aciahInstall-V2 du  09/01/2024 Auteur équipeACIAH
#Scripts d'installation ADVL sur linux version Install-V1.0 du 1/10/2021 Auteur Jean-Yves ROCHER
#Le fichier texte listeDesPaquets doit être à jour des paquets à installer
#Initialisation de Variables utilisées dans le script
#######sudo sed  s/"timestamp_timeout=15"/"timestamp_timeout=40"/ /etc/sudoers
#######    Test du réseau   ######
for interface in $(ls /sys/class/net/ | grep -v lo);
do
echo " liste des interfaces"  $interface
if [ $(cat /sys/class/net/$interface/carrier) = 1 ]; then RESEAU=1; fi
echo "valeur de cat " $(cat /sys/class/net/$interface/carrier)
echo " valeur de reseau " $RESEAU
done
if ! [ $RESEAU ]; then echo  " Vous n'êtes pas connecté au réseau, recommencer "; exit; fi
echo " vous êtes bien connecte au reseau, continuons"
#######   Fin du test réseau    ##########
######    Aciah-Linux vocalisé ou pas  ######
echo " "
echo " "
echo " VOULEZ VOUS VOCALISER VOTRE SYSTEME ?"
echo " "
echo " "
echo " Si vous répondez NON, vous disposerez uniquement du menu simple qui permet l accès à vos applications"
echo " "
echo " "
echo " Si vous répondez OUI, vous allez vocaliser votre système avec le lecteur d écran ORCA"
echo "  "
echo " "
while true;do
read -p " VOULEZ VOUS VOCALISER VOTRE SYSTEME ?   OUI  ou  NON ou bien Quitter  " on
        case $on in
        [Oo]* ) VOCAL=1; break;;
        [Nn]* ) VOCAL=2; break;;
        [Ss]* ) VOCAL=3; break;;
        esac
done
if   [ $VOCAL = 3 ]
        then exit
fi
echo "  "
echo " "
if   [ $VOCAL = 1 ]
       then echo "Vous avez répondu oui, donc vous allez installer ACIAH avec les logiciels de vocalisation"
       else echo "Vous avez répondu NON donc allez installer ACIAH avec le menu simple  "
fi
echo "  "
echo " "
########  Fin du choix du type d installation  ########
	HORAIRE=$(date +%Y%m%d%H%M%S)
	CPT=`whoami`
	GRP=`less /etc/group | grep sudo | cut -d ':' -f 4`
	#######  ajout de l'utilisateur au groupe sudo ###########
	echo "  Le mot de passe de root vous est demandé et dans quelques instants votre ordinateur va redémarrer  "
	echo ""
	echo "  l utilisation de sudo sera intégrée à votre système "
echo "  "
echo " "
if [ -z $GRP ] ; then
	echo " Le mot de passe vous est demandé et dans quelques instants votre ordinateur va redémarrer"
	su -c "/usr/sbin/usermod -a -G sudo $CPT"
	sudo /usr/sbin/reboot
fi
	####### fin d'ajout de l'utilisateur au groupe sudo ###########
	ACIAHLOG="/var/log/aciah/"
	###############################
	#Création du répertoire de log
	if [ ! -d "$ACIAHLOG" ];then
		echo "Création du répertoire de log $ACIAHLOG"
		sudo mkdir  $ACIAHLOG
		sudo chmod -R 711 $ACIAHLOG
		sudo chown  -R $CPT:$CPT $ACIAHLOG
		touch $ACIAHLOG"install.log"
		touch $ACIAHLOG"erreur.log"
		touch $ACIAHLOG"machineALire.log"
	fi
exec 1>>$ACIAHLOG/install.log 2>>$ACIAHLOG"erreur.log"
xfce4-terminal -e "tail -f $ACIAHLOG/install.log" &
xfce4-terminal -e "tail -f $ACIAHLOG/erreur.log" &
sudo apt update
sudo apt upgrade -y

# Préparation du jingle
sudo cp $HOME/installationACIAH/autreScripts/bascule.sh /usr/local/bin/
chown  $CPT:$CPT /usr/local/bin/bascule.sh
chmod +x /usr/local/bin/bascule.sh
#
CHOIX=$VOCAL
if [ -f /usr/local/bin/myGtkMenu-1.4/TestMenu.orig ]
	then	echo " la version réduite est dejà installée "
	else VOCAL=2
	echo " valeur de VOCAL" $VOCAL
fi
case $VOCAL in
         [2]  )

sudo sed -i$HORAIRE s="main non-free-firmware"="main contrib non-free"= /etc/apt/sources.list
catl=`cat $HOME/installationACIAH/listeDesPaquetsS`  #initialise la liste des paquets à installer dans la variable catl pour le menu simple
for i in $catl; do sudo apt install -y $i  || exit 1; done

sudo cp $HOME/installationACIAH/machineALire/lecture.sh /usr/local/bin
sudo chown -R $CPT:$CPT  /usr/local/bin/
chmod +x -R /usr/local/bin/

sudo mkdir $HOME/scripts
sudo mkdir $HOME/.local/scripts

sudo chown -R $CPT:$CPT $HOME/.local/scripts
		sudo chown $CPT:$CPT $HOME/.local/scripts/*.sh
		chmod +x -R $HOME/.local/scripts/
		chmod +x $HOME/.local/scripts/*.sh

############    création du répertoire usr/local/share/advl    ########## 
	if [ ! -d "/usr/local/share/advl" ];then
         echo "Création du répertoire  /usr/local/share/advl"
         sudo  mkdir  /usr/local/share/advl
        fi


sudo chown -R $CPT:$CPT /usr/local/share/advl/
chmod +x /usr/local/share/advl/
sudo cp $HOME/installationACIAH/machineALire/conv-txt.sh /usr/local/share/advl


#######  Mise en route du Jingle à l ouverture de session    #####
 	mkdir $HOME/.config/autostart/
#
#############   lancement de caja pour création des répertoires de config #######
echo "lancement de caja  pour création des répertoires de config"
xfce4-terminal -e "/usr/bin/caja"
sleep 2
###########copie des icônes spécifiques utilisés par ACIAH-Linux #########
listeIcone=`ls $HOME/installationACIAH/icones | grep png`
for i in $listeIcone
	do if [ !  -f /usr/share/pixmaps/$i ];
		then
		sudo cp $HOME/installationACIAH/icones/$i /usr/share/pixmaps/
		echo $i "a été copié dans /usr/share/pixmaps"
	  fi
	done
###################   installation de myGTKmenu   ############
##########mv /usr/local/bin/myGtkMenu-1.4/TestMenu.txt /usr/local/bin/myGtkMenu-1.4/TestMenu.orig
	if [ ! -d "/usr/local/bin/myGtkMenu-1.4" ];then
	echo "Installation de myGTKMenu !";
	sudo tar xvjf $HOME/installationACIAH/utilitaires/myGtkMenu-1.4.tar.bz2 -C /usr/local/bin/
	mv /usr/local/bin/myGtkMenu-1.4/TestMenu.txt /usr/local/bin/myGtkMenu-1.4/TestMenu.orig
	cp  $HOME/installationACIAH/utilitaires/TestMenuS.txt /usr/local/bin/myGtkMenu-1.4/TestMenu.txt
	fi
#############                configuration du menu myGTKMenu     #######
HORAIRE=$(date +%Y%m%d%H%M%S)
echo $HORAIRE" configuration du menu myGTKMenu"
echo "copie des icônes pour myGtkMenu"
sudo cp $HOME/installationACIAH/icones2/*.png /usr/share/pixmaps/
sed -i s="\/media\/aciah"="\/media\/"$CPT= $HOME/installationACIAH/utilitaires/TestMenuS.txt
sed -i s="\/home\/aciah"="\/home\/"$CPT= /usr/local/bin/myGtkMenu-1.4/TestMenuS.txt


	cp  $HOME/installationACIAH/utilitaires/TestMenuS.txt /usr/local/bin/myGtkMenu-1.4/TestMenu.txt
echo "mise en adéquation du répertoire utilisateur"
APPAREIL=`ls \/media\/`

############      copie de sauvegarde du fichier de configuration des raccourcis
mv $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/'xfce4-keyboard-shortcuts'$HORAIRE'.xml'
echo "installation des raccourcis ACIAHLinux"
cp $HOME/installationACIAH/utilitaires/xfce4-keyboard-shortcuts.xml $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
echo "modification du fichier de configuration d'ImageMagick pour l'écriture des PDF"
sudo  sed -i_bak 's/rights="none" pattern="PDF"/rights="read | write" pattern="PDF"/'  /etc/ImageMagick-6/policy.xml

#############  arrêt de  caja  #############
pkill caja

####################### Installation des différents autres scripts ################
#sudo chown $CPT:$CPT $HOME/scripts/*.sh
#chmod +x $HOME/scripts/*.sh
sudo chown $CPT:$CPT $HOME/installationACIAH/autreScripts/*.sh
chmod +x $HOME/installationACIAH/autreScripts/*.sh
sudo cp $HOME/installationACIAH/autreScripts/wifi-ch.sh /usr/local/bin/
#sudo cp $HOME/installationACIAH/autreScripts/accueil.sh /usr/local/bin

sudo mkdir -p $HOME/.config/orca/
sudo chown $CPT:$CPT -R $HOME/.config/orca/
chmod +x -R $HOME/.config/orca/
sudo mkdir -p $HOME/.config/orca/scripts/
sudo cp $HOME/installationACIAH/autreScripts/scanner.sh /usr/local/share/advl
sudo chown $CPT:$CPT /usr/local/share/advl/scanner.sh
chmod +x /usr/local/share/advl/scanner.sh




#############   Installations  du repertoire pour cheese  #######
	if [ ! -d "$HOME/Vidéo/Webcam/" ];then
		echo "Création du répertoire  $HOME/Vidéo/Webcam/ pour cheese"
		mkdir  $HOME/Vidéos/Webcam
	fi
############   Création du répertoire scripts  ############
mkdir -p  $HOME/.local/advl/scripts
sudo chown $CPT:$CPT -R $HOME/.local/advl/scripts
chmod +x $HOME/.local/advl/scripts

#  Création du lien symbolique scripts
ln -s $HOME"/.local/advl/scripts/" $HOME"/scripts"
cp $HOME/installationACIAH/autreScripts/compress.sh $HOME"/.local/advl/scripts/"
cp $HOME/installationACIAH/autreScripts/dezip.sh $HOME"/.local/advl/scripts/"
cp $HOME/installationACIAH/machineALire/A-lire-et-obtenir-le-texte.sh $HOME"/.local/advl/scripts/"
sudo cp $HOME/installationACIAH/machineALire/A-lire-et-obtenir-le-texte.sh $HOME/.config/caja/scripts/
sudo chown $CPT:$CPT  $HOME/.config/caja/scripts/A-lire-et-obtenir-le-texte.sh
chmod +x $HOME/.config/caja/scripts/A-lire-et-obtenir-le-texte.sh

#####cp $HOME/installationACIAH/autreScripts/E-Compression-pdf.sh $HOME"/.local/scripts/"
cp $HOME/installationACIAH/autreScripts/E-lanceCompress.sh $HOME"/.local/advl/scripts/"
sudo cp $HOME/installationACIAH/utilitaires/beep.wav /usr/local/share/advl/

sudo cp $HOME/installationACIAH/utilitaires/lize.pdf /usr/local/share/advl/
sudo cp $HOME/installationACIAH/utilitaires/desactivez.pdf /usr/local/share/advl/
sudo cp $HOME/installationACIAH/machineALire/patienter.pdf /usr/local/share/advl/

sudo chown $CPT:$CPT /usr/local/share/advl/*.pdf
chmod +x /usr/local/share/advl/*.pdf
sudo chown $CPT:$CPT /usr/local/share/advl/*.wav
chmod +x /usr/local/share/advl/*.wav



########   Mise en place de caja comme navigateur par défaut   ######
#########sudo sed -i_$HORAIRE s="thunar"="caja"= $HOME/.config/xfce4/helpers.rc
sudo sed -i_$HORAIRE s="thunar"="caja"= /etc/xdg/xfce4/helpers.rc
gsettings set org.mate.applications-terminal exec xfce4-terminal

sudo cp /home/$USER/installationACIAH/utilitaires/accueil.sh /usr/local/bin/

#########sudo sed -i_$HORAIRE s="Exec\=\/home\/aciah\/scripts\/accueil.sh"="Exec\=\/usr\/local\/bin\/accueil.sh"= $HOME\/installationACIAH\/utilitaires\/accueil.desktop
sudo cp $HOME/installationACIAH/utilitaires/accueil.desktop $HOME/.config/autostart/
cp $HOME/installationACIAH/utilitaires/arobase.desktop $HOME/.config/autostart/
sudo cp $HOME/installationACIAH/utilitaires/accueil.sh /usr/local/bin/
sudo cp $HOME/installationACIAH/utilitaires/linuxmint-login.wav /usr/share/sounds/
sudo chown -R $CPT:$CPT /usr/local/bin/*.sh
sudo chmod +x -R /usr/local/bin/*.sh
cp $HOME/installationACIAH/fichiersDeConfig/xsettings.xml /home/aciah/.config/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml


#########sudo sed -i_$HORAIRE s="Exec\=\/home\/aciah\/scripts\/accueil.sh"="Exec\=\/usr\/local\/bin\/accueil.sh"= $HOME\/installationACIAH\/utilitaires\/accueil.desktop
#sudo cp $HOME/installationACIAH/utilitaires/accueil.desktop $HOME/.config/autostart/
#cp $HOME/installationACIAH/utilitaires/arobase.desktop $HOME/.config/autostart/
#sudo cp $HOME/installationACIAH/utilitaires/linuxmint-login.wav /usr/share/sounds/

#sudo chown -R $CPT:$CPT  /usr/local/bin/
#chmod +x -R /usr/local/bin/

#sudo chown $CPT:$CPT /usr/local/bin/*.sh
#chmod +x /usr/local/bin/*.sh


cp $HOME/installationACIAH/fichiersDeConfig/xsettings.xml $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml


#### mise en place de F10 dans la version simplifiée mais pas de vocalisation car espeak non installé ##########
cp $HOME/installationACIAH/fichiersDeConfig/accels $HOME/.config/caja/

mkdir -p $HOME/Machine-a-lire/scan
mkdir -p $HOME/.config/outils
sudo cp $HOME/installationACIAH/utilitaires/dezip.sh $HOME/.local/scripts
sudo chown $CPT:$CPT $HOME/.local/scripts/dezip.sh
chmod +x $HOME/.local/scripts/dezip.sh

ln -s $HOME/.local/advl/scripts/dezip.sh $HOME/.config/caja/scripts/dezip.sh
sudo cp $HOME/installationACIAH/utilitaires/lize.pdf /usr/local/share/advl/
# sudo sed -i s="\/aciah"="\/"$CPT=g $HOME/.config/caja/accels                   ?????????????????????????????????????????????   
sudo sed -i 's~^\(.*\)aciah\(.*'$key'.*\)$~\1'$USER'\2~p' $HOME/.config/caja/accels 


#####  mise en place du logo ACIAH  #######
sudo cp $HOME/installationACIAH/utilitaires/aciah-lune.jpg /usr/share/xfce4/backdrops/
sudo cp $HOME/installationACIAH/utilitaires/linuxmint.jpg /usr/share/xfce4/backdrops/
#
# 
sudo cp $HOME/installationACIAH/fichiersDeConfig/agenda.ods $HOME/.config/outils
sudo cp $HOME/installationACIAH/autreScripts/menu-deconnexion.sh /usr/local/bin
VOCAL=$CHOIX
;;
#
#
#
#VOCAL=1
[1] )
echo "après l'installation de la première partie vous allez installer la vocalisation"
;;
#VOCAL=3
[3] )
echo "vous allez sortir de l'application"
esac

if   [ $VOCAL = 1 ]
	then
		sudo sed -i s="\/media\/aciah"="\/media\/"$CPT=g $HOME/installationACIAH/utilitaires/TestMenuV.txt
		cp  $HOME/installationACIAH/utilitaires/TestMenuV.txt /usr/local/bin/myGtkMenu-1.4/TestMenu.txt
       		catl=`cat $HOME/installationACIAH/listeDesPaquetsV`  #initialise la liste des paquets à installer dans la variable catl pour le menu Vocal
		for i in $catl; do sudo apt install -y $i  || exit 1; done
	#############   lancement d orca  pour création des répertoires de config #######
		echo "lancement d orca  pour création des répertoires de config"
		xfce4-terminal -e "/usr/bin/orca"
	
		sleep 2

	###### Création du répertoire Machine-a-lire ineffaçable    #####
		mkdir "$HOME"/Machine-a-lire
		touch "$HOME"/Machine-a-lire/.fichierClef
		sudo chattr +a "$HOME"/Machine-a-lire/.fichierClef
		sudo chown $CPT:$CPT -R "$HOME"/Machine-a-lire
		chmod +x "$HOME"/Machine-a-lire

	#####Installation des dialogues et scripts de la machine à lire ######
		sudo cp $HOME/installationACIAH/machineALire/lire.pdf /usr/local/share/advl/
		sudo cp $HOME/installationACIAH/machineALire/patientez.pdf /usr/local/share/advl/
		sudo cp $HOME/installationACIAH/machineALire/patienter.pdf /usr/local/share/advl/
		sudo cp $HOME/installationACIAH/machineALire/terminer.pdf  /usr/local/share/advl/
		sudo cp $HOME/installationACIAH/machineALire/docfinal.pdf  /usr/local/share/advl/
		sudo cp $HOME/installationACIAH/machineALire/lize.pdf  /usr/local/share/advl/
		sudo cp $HOME/installationACIAH/machineALire/desactivez.pdf  /usr/local/share/advl/
        
        sudo cp $HOME/installationACIAH/machineALire/dezip.sh $HOME/scripts
        sudo cp $HOME/installationACIAH/machineALire/A-lire-et-obtenir-le-texte.sh $HOME/scripts
        sudo cp $HOME/installationACIAH/machineALire/C-lire-document-daisy.sh $HOME/scripts
        sudo cp $HOME/installationACIAH/machineALire/D-lire-avec-VLC.sh $HOME/scripts
        sudo cp $HOME/installationACIAH/machineALire/lecture.sh $HOME/.local/advl/scripts        
        sudo cp $HOME/installationACIAH/machineALire/lecture.sh /usr/local/bin
        sudo chown $CPT:$CPT /usr/local/bin/lecture.sh
        chmod +x /usr/local/bin/lecture.sh

        
	sudo cp $HOME/installationACIAH/utilitaires/Explications.txt /usr/local/share/advl/

	#if [ ! -d $HOME"/.local/scripts/" ];then
		echo "Création du répertoire .local/scripts "
		mkdir -p $HOME/.local/scripts/
	#fi
	#############  arrêt d orca    #############
		pkill orca
	##################################################
	##################################################
		sudo cp $HOME/installationACIAH/machineALire/*.sh $HOME/.local/scripts/
	 	sudo chown -R $CPT:$CPT $HOME/.local/scripts
		sudo chown $CPT:$CPT $HOME/.local/scripts/*.sh
		chmod +x -R $HOME/.local/scripts/
		chmod +x $HOME/.local/scripts/*.sh
	if [ ! -d $HOME"/.config/orca/scripts/" ];then
		echo "Création du répertoire  config/orca/scripts"
		mkdir -p $HOME/.config/orca/scripts/
		sudo chown -R $CPT:$CPT $HOME"/.config/orca/scripts/"
	fi
	########## Installation des différents autres scripts ################
		sudo cp $HOME/installationACIAH/autreScripts/orca-switch.sh $HOME"/.config/orca/scripts/"
		sudo cp $HOME/installationACIAH/autreScripts/restaurer-orca.sh $HOME"/.config/orca/scripts/"
		sudo cp $HOME/installationACIAH/autreScripts/restore-config-orca.sh $HOME"/.config/orca/scripts/"
		sudo cp $HOME/installationACIAH/autreScripts/config_voix.sh $HOME"/.config/orca/scripts/"
		sudo cp $HOME/installationACIAH/autreScripts/switch-voix-orca.sh $HOME"/.config/orca/scripts/"

		sudo cp $HOME/installationACIAH/autreScripts/restaurer-orca.sh $HOME/.config/orca/scripts/     #ajoutBP#
		sudo chown $CPT:$CPT $HOME"/.config/orca/scripts/"
		sudo sed -i_$HORAIRE s="\/home\/aciah\/.config\/orca\/scripts\/orca-switch.sh"="$HOME\/.config\/orca\/scripts\/orca-switch.sh"= /usr/local/bin/myGtkMenu-1.4/TestMenu.txt
		sudo sed -i_$HORAIRE s="\/home\/aciah\/.config\/orca\/scripts\/restaurer-orca.sh"="$HOME\/.config\/orca\/scripts\/restaurer-orca.sh"= /usr/local/bin/myGtkMenu-1.4/TestMenu.txt
#
	#############   lancement d orca  création du répertoire $HOME/.local/share/orca/ #######
		echo "lancement d orca "
		xfce4-terminal -e "/usr/bin/orca"
		echo "orca"; pgrep orca
		echo `ls $HOME/.local/share/orca`
	###########      création du script stopmbrola   ##############
		cp $HOME/installationACIAH/autreScripts/stopmbrola.sh /usr/local/bin
	############  arrêt d orca               #############
		pkill orca
	##################################################
	#########   Configuration de la voix orca   avec écho caractère mot voix et débit 41  ###########
		cp $HOME/.local/share/orca/user-settings.conf $HOME/.local/share/orca/user-settings_$HORAIRE.conf
		cp $HOME/installationACIAH/fichiersDeConfig/user-settings.conf $HOME/.local/share/orca/

sudo chown $CPT:$CPT -R $HOME/.local/advl/scripts
chmod +x $HOME/.local/advl/scripts/*.sh

	
    ########    Création des liens symboliques pour la lecture et les raccourcis F10-11-12  ######
		sudo cp $HOME/installationACIAH/autreScripts/scanner.sh /usr/local/share/advl

        
		#ln -s $HOME/scripts/B-lire-a-la-volee.sh $HOME/.config/caja/scripts/B-lire-a-la-volee.sh
		#ln -s $HOME/scripts/C-lire-document-daisy.sh $HOME/.config/caja/scripts/C-lire-document-daisy.sh
		#ln -s $HOME/scripts/D-lire-avec-VLC.sh $HOME/.config/caja/scripts/D-lire-avec-VLC.sh
		#ln -s $HOME/scripts/dezip.sh $HOME/.config/caja/scripts/dezip.sh


	    sudo ln -s $HOME/.local/scripts/A-lire-et-obtenir-le-texte.sh $HOME/.config/caja/scripts/A-lire-et-obtenir-le-texte.sh
	    ln -s $HOME/.local/scripts/B-lire-a-la-volee.sh $HOME/.config/caja/scripts/B-lire-a-la-volee.sh
		ln -s $HOME/.local/scripts/C-lire-document-daisy.sh $HOME/.config/caja/scripts/C-lire-document-daisy.sh
		ln -s $HOME/.local/scripts/D-lire-avec-VLC.sh $HOME/.config/caja/scripts/D-lire-avec-VLC.sh
        ln -s $HOME/.local/advl/scripts/dezip.sh $HOME/.config/caja/scripts/dezip.sh
        ln -s $HOME/.local/advl/scripts/A-lire-et-obtenir-le-texte.sh $HOME/.config/caja/scripts/A-lire-et-obtenir-le-texte.sh



 
	
    ### installation du scanner   ###########
		sudo cp $HOME/installationACIAH/autreScripts/scanner.sh /usr/local/share/advl          
                sudo chown  $CPT:$CPT /usr/local/share/advl/scanner.sh
                chmod +x  /usr/local/share/advl/scanner.sh
		sudo cp $HOME/installationACIAH/fichiersDeConfig/agenda.ods $HOME/.config/outilst
		sudo cp $HOME/installationACIAH/autreScripts/menu-deconnexion.sh /usr/local/bin
        sudo cp $HOME/installationACIAH/machineALire/patienter.pdf /usr/local/share/advl/
#
		echo $HORAIRE "l installation est terminée"
		pkill -9 tail
		echo " Fichier de log de l installation advl  $ACIAHLOG/install.log du "$HORAIRE
		echo " Les erreurs sont dans $ACIAHLOG/erreur.log "

       else echo "Vous avez installé ACIAH avec le menu de vocalisation  "
fi

sudo mkdir $HOME/Machine-a-lire/scan
sudo chown  $CPT:$CPT -R $HOME/Machine-a-lire/scan
chmod +x $HOME/Machine-a-lire/scan
sudo cp $HOME/installationACIAH/machineALire/conv-txt.sh /usr/local/share/advl
sudo chown  $CPT:$CPT /usr/local/share/advl/conv-txt.sh
chmod +x /usr/local/share/advl/conv-txt.sh

echo $HORAIRE "l installation est terminée"
echo " Fichier de log de l installation advl  $ACIAHLOG/install.log du "$HORAIRE
echo " Les erreurs sont dans $ACIAHLOG/erreur.log "

sudo sed -i s="\/aciah"="\/"$CPT=g $HOME/.config/caja/accels     

echo "############################ L ordinateur va maintenant redémarrer ########################### "
#rm $HOME/installation*.tar.gz
cd $HOME
rm -rf $HOME/installationACIAH
rmdir $HOME/scrip$HOME/Machine-a-lire/scants
sudo /usr/sbin/reboot
sleep 2
