# ﻿#!/bin/sh
# VERSION 1.0
# AUTHOR  Jean-Yves ROCHER
# NAME : Lecture à la volée
# DESCRIPTION : Script pertettant la lecture en directe de fichiers images jpg, png, tif, pdf
# Décommenter les deux lignes suivantes pour récupérer les log du script et les afficer en directe dans un terminal
# exec 1>>/var/log/aciah/lireALaVolee.log 2>>/var/log/aciah/lireALaVolee.log
# xterm -e "tail -f /var/log/aciah/lireALaVolee.log" &
 FICHIER=`basename $1`
 FILE=`basename ${FICHIER%.*}`
 CHEMIN=`dirname $1`
 REPLECTURE="$HOME"/Machine-a-lire
 TYPE=`mimetype -i -b $1`
######### Fichier de type PDF   #########
 if [ ! -z "`echo "$TYPE" | grep -i 'pdf' `" ]; then
         pdftoppm -r 200 -tiff "$CHEMIN"/"$FICHIER" "$REPLECTURE"/alavolee
             for alavolee in "$REPLECTURE"/*.tif; do
             pdftotext -layout /usr/local/share/advl/patientez.pdf - | espeak -a 200 -v mb-fr1 -s 150
             OMP_THREAD_LIMIT=1 tesseract "$alavolee" stdout | espeak -a 200 -s 150 -v mb-fr1
             done
 fi
########  Fichier de type PNG ou JPG   #####
  if [ ! -z "`echo "$TYPE" | grep -i -e 'png' -e 'jpeg' `" ]; then echo  
       OMP_THREAD_LIMIT=1 tesseract "$CHEMIN"/"$FICHIER" stdout | espeak -a 200 -s 150 -v mb-fr1
  fi
########  Fichier de type Texte   ##### 
if [ ! -z "`echo "$TYPE" | grep -i -e 'text' `" ]; then 
tr  "\n" " " <  "$CHEMIN"/"$FICHIER" > "$REPLECTURE"/"$FILE"Alire.txt
cat   "$REPLECTURE"/"$FILE"Alire.txt |  espeak -a 200 -v mb-fr1 -s 150
rm "$REPLECTURE"/"$FILE"Alire.txt
fi
pdftotext -layout /usr/local/share/advl/terminer.pdf - | espeak -a 200 -v mb-fr1 -s 150

exit 
